Bug 170079 - Mozilla Firefox Web browser. Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7 I am trying to get the java plugin to work on a x86_64 machine (amd 3200 X2) so that I can use the scottrade.com s...
Mozilla Firefox Web browser. Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 21:02 EDT by Doug Telford
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 13:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Telford 2005-10-06 21:02:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
ozilla Firefox Web browser.

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

I am trying to get the java plugin to work on a x86_64 machine (amd 3200 X2) so that I can use the scottrade.com steaming quotes capability. 

firefox works fine on an x86 fc4 machine with the java plugin.  firefox does not seem to work on the jre 1.5 i386 version (but opera does) 0n the x86_64.  The instructions for the x86-64 jre 1.5 (sun version) seem incorrect, since there is no plugins directory.  

Please advise how I can get this working.  Everything else on fc4 working great.

Regards,
Doug

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.link libjavaplugin_oji.so in /usr/lib/mozilla and /usr/lib64/mozilla to /usr/java/jre/plugin/i386/ns7/libjavaplugin_oji.so, but is not recognized

2. try x86-64 jre 1.5, but no plugin directory
3.
  

Actual Results:   see above

Expected Results:  java plugin recognized by firefox

Additional info:
Comment 1 Warren Togami 2005-10-07 13:24:49 EDT
You need x86-64 java in order to use the plugin with x86-64 firefox.  Sun's
x86-64 java doesn't contain a plugin, but Blackdown does.
Comment 2 Doug Telford 2008-08-02 16:16:37 EDT
The original summary for this bug was longer than 255 characters, and so it was truncated when Bugzilla was upgraded. The original summary was:

Mozilla Firefox Web browser.    Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7    I am trying to get the java plugin to work on a x86_64 machine (amd 3200 X2) so that I can use the scottrade.com steaming quotes capability.     firefox works fine on an x86 fc4 machine.  firefox does not seem to work on the jre 1.5 i386 version (but opera does).  The instructions for the x86-64 jre 1.5 (sun version) seem incorrect, since there is not plugins directory.      Please advise how I can get this working.  Everything else on fc4 working great.    Regards Doug

Note You need to log in before you can comment on or make changes to this bug.